import request from '@/api/request.js'
//种子列表
function seed_list(data) {
	return request({
		url: '/api/seed/seed_list',
		method: 'post',
		data
	})
}
//种子列表
function seed_lists(data) {
	return request({
		url: '/api/seed/seed_list2',
		method: 'post',
		data
	})
}
//获取土地列表
function landlist(data) {
	return request({
		url: '/api/soil/soil_list',
		method: 'post',
		data
	})
}
// 获取土地详情
function getlanddeilt(data) {
	return request({
		url: '/api/soil/index',
		method: 'post',
		data
	})
}
// 获取土地租赁协议
function getlandpcol(data) {
	return request({
		url: '/api/soil/protocol',
		method: 'post',
		data
	})
}
// 获取服务详情
function getservicemanage(data) {
	return request({
		url: '/api/servicemanage/index',
		method: 'post',
		data
	})
}
// 获取服务详情
function getsecemist(data) {
	return request({
		url: '/api/servicemanage/servicemanage_list2',
		method: 'post',
		data
	})
}
// 获取服务详情
function getserdebyid(data) {
	return request({
		url: '/api/servicemanage/index',
		method: 'post',
		data
	})
}

// 获取订单信息
function getlandorder(data) {
	return request({
		url: '/api/soil/order_list',
		method: 'post',
		data
	})
}
// 根据id查看订单详情
function lookorderbyid(data) {
	return request({
		url: '/api/soil/order_index',
		method: 'post',
		data
	})
}
// 根据id查看订单详情
function lookorderbyids(data) {
	return request({
		url: '/api/soil/order_index2',
		method: 'post',
		data
	})
}
// 修改订单
function updateorder(data) {
	return request({
		url: '/api/soil/order_edit',
		method: 'post',
		data
	})
}
// 查找服务信息
function selordermessbyid(data) {
	return request({
		url: '/api/soil/soil_manage2',
		method: 'post',
		data
	})
}

// 巡检记录
function register(data) {
	return request({
		url: '/api/soil/register',
		method: 'post',
		data
	})
}
// 获取订单
function getwlorder(data) {
	return request({
		url: '/api/soil/soil_seed_delivery',
		method: 'post',
		data
	})
}
// 土地租赁退款
function soilTuikuan(data) {
	return request({
		url: '/api/soil/soilTuikuan',
		method: 'post',
		data
	})
}



// 模块数据
function getlist(data) {
	return request({
		url: '/api/cms/getlist',
		method: 'post',
		data
	})
}

// 续租服务
function renewal(data) {
	return request({
		url: '/api/soil/renewal',
		method: 'post',
		data
	})
}

// 种子信息
function cropseed(data) {
	return request({
		url: '/api/soil/cropseed',
		method: 'post',
		data
	})
}
// 服务工单
function getoperator(data) {
	return request({
		url: '/api/soil/getoperator',
		method: 'post',
		data
	})
}
// 工单任务
function workoperator(data) {
	return request({
		url: '/api/soil/workoperator',
		method: 'post',
		data
	})
}
// 工单处理
function chuoperator(data) {
	return request({
		url: '/api/soil/chuoperator',
		method: 'post',
		data
	})
}
// 订单信息
function orderinformation(data) {
	return request({
		url: '/api/soil/orderinformation',
		method: 'post',
		data
	})
}
// 土地装饰
function decoration(data) {
	return request({
		url: '/api/soil/decoration',
		method: 'post',
		data
	})
}

export default {
	getlist,
	soilTuikuan,
	landlist,
	seed_list,
	getlanddeilt,
	getlandpcol,
	getservicemanage,
	getsecemist,
	getserdebyid,
	getlandorder,
	lookorderbyid,
	updateorder,
	selordermessbyid,
	getwlorder,
	lookorderbyids,
	renewal,
	register,
	seed_lists,
	cropseed,
	getoperator,
	workoperator,
	chuoperator,
	orderinformation,
	decoration
}
